Skip to content

Get OAuth + MCP discovery configuration for the active account

GET
/oauth/config

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Responses

OK

application/json
JSON
{
  
"oauth": {
  
  
"issuer": "string",
  
  
"authorization_endpoint": "string",
  
  
"token_endpoint": "string",
  
  
"registration_endpoint": "string",
  
  
"authorization_server_metadata_url": "string",
  
  
"openid_configuration_url": "string",
  
  
"resource_metadata_url": "string",
  
  
"mcp_base_url": "string",
  
  
"mcp_endpoint": "string",
  
  
"allowed_resources": [
  
  
  
"string"
  
  
],
  
  
"scope_details": [
  
  
  
{
  
  
  
  
"scope": "string",
  
  
  
  
"label": "string",
  
  
  
  
"description": "string"
  
  
  
}
  
  
],
  
  
"client_registration": {
  
  
  
"client_id_metadata_document_supported": true,
  
  
  
"dynamic_registration_supported": true,
  
  
  
"pre_registration_supported": true
  
  
}
  
}
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI